Skip to main content
PUT
/
v1
/
incident_statuses
/
{id}
Update
curl --request PUT \
  --url https://api.incident.io/v1/incident_statuses/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "description": "Impact has been **fully mitigated**, and we're ready to learn from this incident.",
  "name": "Closed"
}
EOF
import requests

url = "https://api.incident.io/v1/incident_statuses/{id}"

payload = {
"description": "Impact has been **fully mitigated**, and we're ready to learn from this incident.",
"name": "Closed"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Impact has been **fully mitigated**, and we\'re ready to learn from this incident.',
name: 'Closed'
})
};

fetch('https://api.incident.io/v1/incident_statuses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "incident_status": {
    "category": "triage",
    "created_at": "2021-08-17T13:28:57.801578Z",
    "description": "Impact has been **fully mitigated**, and we're ready to learn from this incident.",
    "id": "01FCNDV6P870EA6S7TK1DSYD5H",
    "name": "Closed",
    "rank": 4,
    "updated_at": "2021-08-17T13:28:57.801578Z"
  }
}
🔑 Requires the incident_lifecycles.update scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

Unique ID of this incident status

Example:

"01FCNDV6P870EA6S7TK1DSYD5H"

Body

application/json
description
string
required

Rich text description of the incident status

Example:

"Impact has been **fully mitigated**, and we're ready to learn from this incident."

name
string
required

Unique name of this status

Example:

"Closed"

Response

200 - application/json

OK response.

incident_status
object
required